Elisa 0.5.9 "Confrontation"
===========================

This is Elisa 0.5.9, ninth release of the 0.5 branch.

New features since 0.5.8:

- Login to restricted services (therefore allowing more functionalities for
  said services inside Elisa for logged in users); currently supported: Yes.fm;
  next on the list: Flickr.
- A search engine: currently allows you to search for music in your local
  collection and on Yes.fm if logged in.
- A tight integration of the brand new Yes.fm, an online music service
  (currently limited to Spain), in the UI, allowing local collection completion
  among other cool features.
- Photo browsing by date.

Bugs fixed since 0.5.8:

- 252983: Theming override by independent plugins does not work
- 268053: Infinite loop in the configuration upgrader
- 253656: wrong album-cover displayed
- 257674: [pigment] Imprecise clicking triggers a drag event
- 260928: DTS does not work with Klite
- 264015: PlayAllAction is blocking and generally not too efficient
- 265083: InputManager wakes up the CPU for no reason


Elisa 0.5.8 "Purgatory"
=======================

This is Elisa 0.5.8, eighth release of the 0.5 branch.

New features since 0.5.7:

- Various plugins of Elisa (among which the pigment plugin and the database
  plugin) now export a DBus API so that external applications can interact with
  Elisa.
- Ability to start Elisa in "headless" mode, that is without splashscreen and
  hidden (via a command-line parameter).
- Support of Streamzap remote controls.
- Updated French translations for all plugins.

Bugs fixed since 0.5.7:

- 261451: PPA packages for 0.5.7 error
- 244627: On inserting items in a List widget, the refresh doesn't work properly
- 251599: [win32] Using message for remote control is wrong
- 261304: Elisa 0.5.7 needs packaging


Elisa 0.5.7 "The Tipping Point"
===============================

This is Elisa 0.5.7, seventh release of the 0.5 branch.

New features since 0.5.6:

- "Add Folders" now allows you to browse all your devices (including external
  hard drives), not just your home folder as it was before.
- Better feedback from the media scanner: it now informs you what is being
  scanned and the overall progress as a percentage.

Bugs fixed since 0.5.6:

- 257645: Seeking an audio playlist skip songs
- 257691: Contextual actions not accessible with the keyboard in grid view mode
- 259092: [win32] Streamzap and apple remotes do not work
- 259428: Debian package needs to depend on python-cssutils
- 249883: plugins configs not saved


Elisa 0.5.6 "Perks"
===================

This is Elisa 0.5.6, sixth release of the 0.5 branch.

New features since 0.5.5:

- DVD playback with support of menus.
- Contextual actions now available in all view modes (list with preview, grid,
  coverflow).
- First support for contextual actions in the pictures section.

Bugs fixed since 0.5.5:

- 243493: [win32] usb harddrives aren't recognized as removable media
- 252876: [win32] [win32] Use the native API to get the list of attached volumes to avoid a deadlock
- 255416: media scanner leaks memory on windows
- 255676: Cannot browse hotplugged ipod
- 255809: amp_slave does not restart correctly
- 256918: [win32] playing large files (>4GB) fails
- 257035: Widgets need a way to be cleaned up
- 257039: Scanning animation causes memory leaks
- 257221: [win32] "New version available" popup does not have the focus
- 232574: DVD plugin
- 242937: shortcut bar is overhead for a few files
- 251791: Going into a subdirectory doesn't cancel pending thumbnail requests
- 252524: [hal] No DeviceRemoved message is sent on the bus when ejecting a DVD
- 253061: Fast scroll bar in Music > Albums is broken when track names start with numbers
- 255404: favorites screen doesn't refresh when removing items
- 256009: favorites misplaced
- 256133: Clicking to seek in an mp3 freezes elisa
- 256135: recently viewed\added photos display the wrong picture number in player
- 257230: Segfault playing avi file
- 259119: Pictures thumbnails always re-generated even when already in cache
- 246963: Problems using Fastscroller with Folder starting with _
- 252655: [win32] [wmd] Messages not always sent when adding/removing a device
- 255769: No message when decade has no songs
- 257552: fastscroller issue in list view with actions


Elisa 0.5.5 "Submission"
========================

This is Elisa 0.5.5, fifth release of the 0.5 branch.

New features since 0.5.4:

- Port of the avahi plugin from the 0.3.x series, which discovers hosts and
  services on your local network.
- Port of the DAAP plugin from the 0.3.x series, which allows browsing DAAP
  music shares (iTunes, Rhythmbox, Banshee, Amarok, Exaile, ...) on your local
  network.
- First support for contextual actions in the music section:
   * Add an artist, an album, a track or a radio station to your list of
     favorites for faster access and classification
   * Play all the tracks of a given album or all the albums of a given artist
   * Shuffle at the same level
- The media scanner now handles pictures which are indexed in the database and
  accessible from the Photo Library.

Bugs fixed since 0.5.4:

- 248873: black volume bar extends past grey overlay
- 255757: Sequential playlists are broken
- 256049: Display of actions broken in decades view
- 256862: Player wait animation stay visible sometime
- 233757: .srt subtitles are not shown
- 251787: Losing the title display in coverflow and grid modes
- 253202: thumbnail is gone when fastly scrolling in video files
- 254703: [win32] elisa crashes scrolling up and down the music library
- 255744: album cover missing in tracks-of-album view
- 255748: No artist pictures displayed
- 255751: favorites entry is displayed before USB devices in music section
- 255753: "All tracks" entry for artists is not displayed correctly
- 252637: Songs without Albums, Not Visible In Artist View
- 253938: [win32] don't ship the pdb files with elisa
- 255672: Flickr plugin tries to load bunch of wrong images
- 255745: multiple wrong covers in the albums overview
- 255992: [win32] when elisa crashes, the dump-alert is split into three
- 243236: audio visualisation is not taking the full screen


Elisa 0.5.4 "Bargaining"
========================

This is Elisa 0.5.4, fourth release of the 0.5 branch.

Bugs fixed since 0.5.3:

- 249822: locale_helper.system_encoding does not always return valid encodings
- 251186: Drag a list trigger also a click
- 252974: Clicking on gear icon in main menu prevents from going anywhere else
- 254900: Visualisation mode switching is unreachable with a mouse
- 255002: msvcr71.dll not shipping with elisa
- 233744: Make breadcrumb clickable
- 246895: Sometimes Nothing happens when you click an image in flickr
- 241641: [win32] Audio visualization doesn't work
- 252520: find a better fix for focus issues on visualization mode switch
- 252540: No loading animation at all track levels of the Music Library
- 252578: [win32] build metadatademux
- 252619: [win32] build libgstgoom
- 252620: [win32] Ship gst subparse element in distributable-dependencies
- 253688: subtitles shouldn't be reused across multiple media playbacks
- 254956: media scanner hangs on corrupted date in mp3
- 249145: Apple remote does not work for Imac and macbook on windows
- 252536: Flickr: exception raised in slideshow
- 255015: [win32] mp3 files containing APE tags can't be played
- 249408: [win32] elisa.exe needs an icon
- 249066: [win32] hide crash report of sub processes
- 253349: Play/Pause button not working on all Apple remotes
- 253074: Flickering of items content when scrolling quickly in list of tracks
- 255080: [win32] setlocale broke win32com and wmi


Elisa 0.5.3 "Attraction"
========================

This is Elisa 0.5.3, third release of the 0.5 branch.

Features added since 0.5.2:

- iPod support has been improved: it shows the available Artists then the
  Albums of the selected artist.
- Pluggable devices support on Linux has been fixed: USB hard drives, iPods
  and such are browsable from Elisa
- The Music section hierarchy has been reworked and now starts with Music
  Library containing entries to browse your music collection by albums, artists,
  genres, release date, or folders
- A new playlists entry has been added to the Music section containing
  automatically created playlists: Most Listened Tracks, Most Recently Added
  Tracks, Most Recently Listened Tracks
- Shoutcast radio station names are now automatically cleaned up based on
  custom heuristics
- GNOME screensaver is automatically deactivated when Elisa is playing
- Important improvements were made in the performance department most notably
  on all the list and grid widgets

Bugs fixed since 0.5.2:

- 250494 filesystem browsing of localized version
- 250805 Sounds For A Video Plays After Elisa Quits
- 251585 [Win32] Elisa (re)deadlocks at exit
- 251880 Metadata slave not restarted on ConnectionLost
- 232958 local media fails on wrong encoding in filename
- 233757 .srt subtitles are not shown
- 244625 double click messes with history
- 249070 [win32] closing the window does not close elisa
- 249527 poblesec history management improvements
- 249896 media scanner issue with empty tags
- 250780 Locking of the Pigment rendering thread
- 250787 Leaked controllers causing performance issues
- 232631 Media scanning progress reports
- 249145 Apple remote does not work for Imac and macbook on windows
- 250785 pigment.graph.drawable slowness
- 250791 Continued list and grid widgets scrolling slowness
- 246245 [win32] EXIT button press on the remote freezes Elisa
- 249392 Warnings when trying to add directories
- 248758 hal plugin doesn't mount devices anymore when they are hotplugged
- 249066 [win32] hide crash report of sub processes
- 249130 new lirc_input provider
- 251129 elisa.core.pattern_matcher.PatternMatcher matches things it shouldn't


Elisa 0.5.2 "Good news everyone..."
===================================

This is Elisa 0.5.2, second release of the 0.5 branch.

Since 0.5.1, a bunch of critical bugs have been fixed and important features
that were in the 0.3.5 have been re-introduced.
These include:

- A media scanner that indexes one's music collection and allows one to browse
it by Artists/Albums, with automatic albums' covers and artists' photos
retrieval.
- Localization of the UI. Thanks to contributions from the community Elisa is
currently fully translated in Spanish, Catalan, French, Italian, German, Dutch,
Polish, Swedish and Brazilian Portuguese.

Bugs fixed since 0.5.1:

- 246717: Media Scanner hits the CPU and alter a lot the performances
- 247216: Database artists browsing for audio
- 247217: Database albums browsing for audio
- 248263: Cannot install 0.5.1 under linux
- 248345: Current plugins don't rebuild against elisa 0.5.1
- 249521: Configuration file is not upgraded between 0.5.1 and 0.5.2
- 249899: spawn process timeout too low
- 250521: elisa.exe process not stopped
- 246274: [win32] Crash report system for debugging
- 246308: Elisa does not store the UserID returned by the update script
- 247240: [win32] AccessDenied errors in "add directories" menu
- 249031: Localization of Elisa 0.5
- 249114: The update script send unknown as operating system for 50% of calls
- 249223: Splashcreen disappears too early
- 248365: Debugging in the AMP components is broken


Elisa 0.5.1 "Como se pasa"
==========================

This is Elisa 0.5.1, first release of the 0.5 branch.

It features a reworked architecture focused on full code pluggability and
polishing the graphical user interface adding a few small but important
usability features such as the  possibility to add media directories directly
from the user interface and a shortcut bar to make browsing of large collections
easier.

Due to the move of the reports to Launchpad and the rework of the user interface
code there will be no list of fixed bugs compared to 0.3.5 here.


Elisa 0.3.5 "Papain"
====================

This is Elisa 0.3.5, fifth release of the 0.3 branch.

We didn't add any feature in that release but we fixed some really
important bugs preventing Elisa to work correctly.

Bugs fixed since 0.3.4:

- 1148: Splashcreen with compiz is cropped
- 1147: non square splashscreen version number update
- 1138: update the config_upgrader to activate update:updater_service
- 1137: Issues thumbnailing photos while playing shoutcast
- 1136: Big navigation or player issue
- 1135: Ipod nano bug
- 1134: Elisa don't start on Fresh Hardy
- 1133: Problems installing plugins with underscore in name
- 1130: the "core" egg is not correctly loaded from user-wide installation
- 1088: Elisa randomly fails to start in fullscreen mode
- 1085: duration does not get updated proper


Elisa 0.3.4 "Telmatobius jelskii"
=================================

This is Elisa 0.3.4, fourth release of the 0.3 branch.

Highlights of the features added since 0.3.3:

- Pictures slideshow rewritten with appealing fade in/fade out effect
- Drag&Drop support to easily add new media directories inside Elisa
- Startup splashscreen together with a slick introduction effect dramatically
  improving the first time user experience
- Elisa core and the various plugins bundles are now released
  separately which makes it easier to keep hot features up to date
- Missing codec detection and installation support
- Elisa detects poorly configured graphics driver and warns the user about it
- Freedesktop's startup notification support
- Simplified playlist management with automatic playback of albums
- Player on screen display improved mouse support

Bugs fixed since 0.3.3:

- 552: Bus messages should be Components
- 741: console based EPR client
- 746: Add support for a startup notification (freedesktop's standard)
- 747: Think and design a splash screen for Elisa
- 861: Add moblin detection code in setup.py
- 873: Untagged photos don't show up under F-spot
- 874: F-spot shouldn't show empty entries
- 895: Image thumbnailer locks the main thread
- 900: Plugin dependencies need to be checked
- 910: Remove poblenou plugin
- 929: Elisa package (deb file) is too big
- 938: add to core an utility to list installed plugin in Elisa
- 939: add to core an utility to update the package version
- 940: add to core an utility to upgrade the installed plugins
- 941: add to core an utility to install or remove plugins
- 942: add to core an utility to get information about plugins
- 943: Plugins not included in the config are loaded by Elisa
- 944: Elisa directory structure re-organiation
- 946: media scanner should become plugin
- 965: Plugins loaded by .conf get TitleCased (and then fail!)
- 966: It is not possible to express dependencies between bindings
- 972: Elisa needs a man page
- 975: Support of the Apple remote control without inputlirc
- 976: "python setup.py install" results in a unusable Elisa
- 985: xmlmenu plays ping-pong with MediaLocation messages
- 986: take care of version numbers in plugin dependencies
- 987: User plugin directory not scanned for plugins
- 990: ogg files not recognized/shown
- 992: modify Elisa config when installing new plugins, in order to load them
- 1006: Running Elisa from a fresh svn checkout looks like not having installed plugins.
- 1015: Slideshow jumps 2 steps on play
- 1018: added music doesn't show up under artists/albums
- 1021: Empty or corrupted thumbnails when the thumbnailer times out
- 1022: Uninstalled plugins get loaded instead of user wide plugins
- 1025: Rethink i18n management since split between elisa-core and plugins
- 1026: MediaLocationMessage doc sucks
- 1027: URI support in EPM
- 1033: Thumbnailer should avoid retrying to thumbnail when it fails
- 1035: doesn't track choosen album changing view to coverflow
- 1039: Do not drop silently metadata retrieval errors
- 1043: Upgraded local wide plugins are not loaded correctly
- 1045: slideshow from the main-menu does not work
- 1051: Text doesn't fit into the popup area
- 1055: shoutcast plugin tracebacks on get_real_uri for directories
- 1058: crash on startup, ubuntu 7.10
- 1060: The present implementation of upgrade is not always working correctly
- 1061: daap media timeout on initialize()
- 1062: pkg_resources takes very long to import
- 1063: elisa-get and empty PYTHONPATH
- 1064: Audio: when selecting an album, elisa only plays back the first track
- 1070: replace fake 100% cpu usage report in the UI
- 1071: "core" is not listed among the plugins
- 1072: Add install()/uninstall() methods to the Plugin class
- 1075: Player OSD sucks CPU
- 1076: player config upgrade
- 1077: playing a new media type requires manual player stop
- 1078: "stop" shortcut not working anymore
- 1083: Memory leak
- 1085: duration does not get updated proper
- 1086: check that the update:updater_service is activated in the configuration
- 1088: unpredictable behaviour
- 1090: Popup has garbage text when it is displayed the first time.
- 1093: ugly progressbar jump on going to the next track
- 1096: theme icons in the theme configuration UI appear with inverted colors
- 1098: hildon detection fails on hardy
- 1099: --version fails
- 1102: Elisa does not launch unless elisa-plugins-good is installed
- 1105: backport changeset 5202
- 1107: DAAP media unit tests fail
- 1109: show_mem & show_cpu options are broken
- 1115: switching to player without model tracebacks (but does not block)
- 1117: the splashscreen's contour looks sharp and ugly


Elisa 0.3.3, "Mayfly"
=====================

This is Elisa 0.3.3, third release of the 0.3 branch.

Highlights of the features added since 0.3.2:

- completely new user interface named 'raval' making a better use of screen's
  real estate
- new visualisation modes: grid of pictures, vertical list and cover flow like
- stacks of picture replace dull directory icons
- mouse support greatly improved
- playback from DAAP shares has been reactivated
- new YouTube plugin
- audio visualisation using libvisual
- faster startup
- better detection of media types using GStreamer
- basic playlist support

Bugs fixed since 0.3.2:

- 752: [win32] update media_uri with windows path
- 885: Online services thumbnails do not appear
- 195: Windows port
- 385: elisa should not hardcode file extensions as a way to detect file type
- 418: Font regeneration when viewport size changes
- 427: DAAP playback support
- 506: solve the sorting problem
- 721: Elisa not starting when running on Python 2.4
- 748: Externalisation in separate files of model/controller/views associations
- 758: [win32] units tests do not works on windows
- 763: Component missing a Python dependency prevents Elisa from starting up
- 781: thread issue with hal, dbus and the elisa bus
- 446: Cleanup of attribute change notifications
- 592: ticket explanation page
- 618: Don't ship .mo files in the source distribution
- 633: Sizes in player_view of poblenou_frontend should be relative to the canvas
- 709: Use ReviewBoard for code reviews
- 725: Unicode breaks media_uri (as usual)
- 728: Typefinding potential improvements
- 732: Windows/task system
- 733: faster plugins loading
- 738: HAL fails to initialize if dbus not running
- 743: Cleanup and proper testing of lists in MVC
- 745: Complete unit tests in core
- 750: In Pigment based frontends, changing the size of the canvas does not work well
- 762: use media_manager wherever os.open or open() is called
- 774: Playing a video and then trying to play another one before its end does not work
- 778: Hotplug is broken
- 787: Remove the classic frontend plugin
- 788: Split plugins.bad.media_bad in two plugins
- 789: split plugins.good.input_good in two plugins
- 790: split plugins.good.media_good
- 791: move stage6 plugins in ugly
- 792: split plugins.ugly.media_ugly in two plugins
- 801: split plugins in plugins.base.media_provider
- 839: update configuration updator
- 846: Split plugins.bad.input_bad in two plugins
- 847: Split plugins.good.services_good in three plugins
- 850: Rename and move service plugin (elisa/plugins/service) into an about plugin
- 865: Polish (pol) translation
- 868: get_metadata should have a priority parameter
- 722: PlayerRegistry should state a warning if there are no player engines in the configuration
- 723: Play next song after current song is finished.
- 724: Bind next track on streamzap remotes to next song by default
- 760: make XDG user-dirs support optional
- 761: gnomevfs plugin crashes if gnomevfs module is not installed
- 765: Elisa starts when pysqlite2 is not installed, but segfaults when it is
- 772: playbin engine/player engine will not open property_set('uri'....
- 773: EXIF Rotated pictures are rotated  at low quality and not rotated in high
- 852: move mouse in player frame dropping video
- 854: Subtitles desynced when seeking in media
- 861: Add moblin detection code in setup.py
- 866: Untranslated strings
- 894: GPL-Licence and copyright year update

Elisa 0.3.2, "Cheesy"
=====================

This is Elisa 0.3.2, second release of the 0.3 branch.

Highlights of the features added since 0.3.1:

- menus reorganized (no DVD icon in main menu, it's now
  in video menu for example)
- XDG-user-dirs support
- many memory usage improvements
- localization support (english, catalan, spanish, german,
  italian, french so far)
- Elisa can now be extended to support new GStreamer based players (as plugins)
- Mouse and touchscreen support in the default frontend
- many frontend improvements (slideshow, player dock, new theme)
- F-Spot plugin
- Shoutcast plugin
- Stage6 plugin
- Improved Flickr plugin
- Rhythmbox plugin (not enabled by default)
- a plugin to list live tv mms streams (not enabled by default)
- Plugins have been splitted into bundles, some of these bundles
  will be shipped apart from Elisa in the future
- UPnP improvements for Windows MediaPlayer shares

Bugs fixed since 0.3.1:

- 126: Shoutcast radios support
- 258: Menus should be able to handle hundreds of files without trouble
- 289: Tasks interactions: Slideshow and pictures
- 292: Slideshow with faulty pictures
- 328: non-square pixels support
- 347: Make use of freedesktop's xdg-user-dirs to locate media
- 456: F-spot DB media_provider
- 465: Translations
- 473: Menu appears after song is played, even if there are more in the queue
- 483: often resize leads to segfault/core dump
- 503: Main menu needs an odd number of items: it is currently missing one
- 507: Generate only needed drawables
- 519: FilterURIObserver rewrite
- 522: restructure the plugins in bundles
- 523: player should be a component
- 531: Better handling of observer exceptions
- 547: Theme saving broken on elisa installed system-wide
- 548: Segfault when trying to run elisa
- 549: Drawables and potentially models cleanup
- 556: Ubuntu 7.04  Package for 0.3.1 release
- 561: Elisa should handle nicely not found plugins that are necessary for the InterfaceController
- 563: Elisa crash when pigment is not installed
- 564: elisa.db file location
- 565: smb:// in config files does not work
- 566: Subtitles support is broken
- 568: Theme saving broken on elisa installed system-wide
- 571: Some text doesn't show up
- 575: encoding problems in upgrade (0.1.x->0.3.x) function
- 578: elisa_new.conf shouldn't it be elisa.conf?
- 580: elisa crashed after installing python-dbus
- 583: Audio playback during a pictures slideshow
- 584: dpkg problem in elisa-extra - can not overwrite pylircmodule.so
- 586: Crash -> Plugin 'poblenou' not found
- 587: pysqlite missing dep not correctly reported
- 589: Local/Local network/Internet sources should be separated nicely
- 591: Elementtree dependency missing in INSTALL file
- 595: audio/video desync
- 596: Buffering error
- 597: menu not hidden when audio player starts
- 598: playall playing only first playlist item
- 599: playall in audiocd fails
- 600: playall in video plays audio (too)
- 601: Move menu elements around to make more sense
- 602: Jerky image loading
- 603: Broken starting animation
- 605: unit-test fails because of none-type in plugin_registry
- 606: Over Sized main menu labels
- 607: Respect i18n settings by default
- 608: audio CD playback broken
- 609: Volume OSD not displayed while media is paused
- 610: Player status OSD disappears in the audio section on volume change
- 611: i18n unittest
- 613: after first video, video is not displayed
- 614: stage6 thumbnails missing
- 619: subtitle size should configurable
- 620: Removing a file triggers non-existent code in MediaScanner
- 621: i18n in classic frontend missing
- 623: a single traceback still hangs elisa completely
- 625: Player doesn't unquote (file://) URIs to play
- 626: daap_media incorrect use of MediaUri.get_param
- 628: Player states in GTK player view broken.
- 629: Broken build (poblenou tests)
- 632: media_providers broken since recent changes in media_menu_activity
- 634: Remove old subtitles settings and change the font for subtitles
- 635: get_direct_children 'add_info' parameter deprecated
- 636: Poblenou player subtitles: too low, not big enough to handle high letters
- 637: self.context sometimes None in poblenou node_view
- 638: Elisa's running out of file descriptors
- 640: Player OSD bad feedback when toggling play/pause and ugly transition between keyboard/mouse mode
- 641: Default configuration contains unnecessary options and values
- 644: Empty menu labels when going to up level
- 646: Going down in a menu cointaining lots of media nearly locks the UI until the loading is done
- 647: Drawables memory is not released
- 648: elisa display freeze on usb stick plugging during video playback
- 650: new file descriptors monitoring service
- 651: Elisa crash when config file path does not exists
- 652: Loading animation is not disabled when you play a wrong mp3 file
- 653: Playlist and player focus problems
- 654: PLaylist re-loading problem
- 656: Problems on music seeking
- 657: list_cache pop might be broken
- 658: Loading animation (while loading a menu level) stops too quickly and its animation is ugly
- 659: enqueing audio => player osd does not stay
- 660: Subtitles lookup for non-video media
- 661: Next/Prev track shortcuts
- 662: osd for playback of very long media looks bad
- 663: Index is not updated correctly on device addition/removal
- 665: wrong aspect ratio and bad quality in flickr
- 667: USB hardisk coldplug does not work
- 668: Menu level not cleaned correctly
- 669: Logging does not work for Thumbnailer
- 670: audio_cd plugin not loaded in default configuration
- 671: Trying to seek backwards when close to the start of a media does not do anything
- 672: Loading animation broken: it is very slow when the level contains many items
- 673: Substandard .desktop file (patch against SVN attached)
- 675: Player volume scale is incorrect
- 676: use pigment image cloning (set_from_image) in main menu
- 677: gnomevfs open method blocking
- 678: fspot_media returning bad real URIs
- 679: Catch OSError wherever os.mkdir is used
- 681: Navigation issue is static menu tree
- 682: Menu not shown anymore after media playback ends
- 683: Volume OSD mangled when volume set to 100%
- 685: Request next item of playlist while already at the end => playback stops
- 687: thumbnailer should not try to make a tumbnail if metadata 'default_image' is set not none
- 688: shoutcast browsing is slow with level with lot of items
- 692: re accessing the internet folder of videos lets to a wrong index
- 694: Upnp video browsing problems with windows media player
- 695: coherence_service needed by upnp_media provider
- 697: Make user tests for Flikr plugin.
- 698: Coldplug broken for already mounted hard drives
- 699: Menu labels _sometimes_ hidden if menu item has focus
- 700: Update GObject name of each pigment drawable with a readeable name
- 703: F-Spot plugin slideshow broken
- 704: Font MgOpen Cosmetica is not complete: some accentuated letters have a different style
- 705: UPnP share does not disappear when removed from network
- 707: "local network" menu not appearing when a network device is detected
- 710: Sometimes node_view theme_changed triggers an exception due to non existing object pointed by the weak reference
- 712: Can't see fspot images with the fspot plugin
- 715: Subtitles not always loaded
- 717: Seeking to the end of a video and trying to play it again does not work

Elisa 0.3.1, "Reborn"
=====================

This is the first release of the 0.3 Elisa branch, which is a major
rewrite compared to the 0.1 branch. 

Features added since 0.1.7:
- new multi-frontend system allowing Elisa to run on various graphical
  toolkits, eventually synchronized
- new artwork, including a Tango-like theme
- media metadata retrieval support using various sources
- improved user interface, it's now much more reliable
- added a service to customize the screen aspect ratio

Bugs fixed since 0.1.7:
- 361: Music only lists 250 of my 267 folders.
- 516: Seeking videos => audio/video desync
- 366: Failed to play video with external subtitles (.str)
- 400: Media scanner monopolizing main thread
- 412: Make poblenou frontend aspect-ratio dependent
- 413: alphabetical order of songs / albums / artists
- 414: Movie preview overlaps image preview
- 424: Seeking quickly in the player is not possible (CPU dies)
- 425: Previews clutter the main menu.
- 435: Down arrow in the menu
- 444: elisa hangs on new media in audio
- 445: playing ipod and audiocd hangs off whole elisa
- 461: Integrate grid widget
- 485: staying icons because of list-renew
- 528: remove problem in lists
- 529: Removing parent leads to problems
- 540: PlayAll does not work the second time
-  61: Smart media tag browsing
-  71: Non-english filename support
-  75: Improve GUI fluidity on older GPUs
-  97: Precise timeout handling for animations
- 163: Wait animation when starting to play a file
- 175: Watching big pictures causes a lot of CPU usage
- 202: CPU usage on tiny computers
- 264: Video thumbnailer adaptation to make use of DataAccess plugins
- 291: Rotating an image only rotate the thumbnail and not the picture when displayed in the background
- 307: Manage hotplug sources plugged when Elisa is not running
- 308: Media manager scan interruption
- 333: more remote actions, especially in combination with the Coherence MediaRenderer backend
- 337: Start reading a videofile during thumbnail generation cause DeadLock
- 339: off-center text
- 347: Make use of freedesktop's xdg-user-dirs to locate media
- 352: Extended automation Cover-selector (like in Pictures-Plugin)
- 359: Selecting Play All  in a music folder crashes elisa
- 372: [debian/ubuntu] Depend on python-daap
- 373: if config fails to parse, eception about Application not having close method is raised
- 374: [PATCH] error in audio_activity.py
- 375: [PATCH] media_uri doesn't url encode strings when creating the uri
- 376: [PATCH] gtk ui treeview needs to be scrollable
- 381: boost python traceback
- 382: inotify problem when missing ctypes
- 387: /usr write check fails under fakeroot
- 390: Elisa does not start when a USB drive is plugged in during start
- 392: the mediascanner have to start 10 s after the application launch
- 394: application.stop() should return a Deferred
- 395: Video display is overlayed by the video icon
- 404: Review Player for blocking calls
- 406: Failure in plugin loading gives wrong error message
- 410: Navigation fix, hitting OK should go down in the menu
- 415: Volume level not displayed when changed
- 419: When the media playback is finished, the menu should reappear
- 422: Uniformise repeat behaviour across the different input devices
- 426: Preview focus not set when going in a section: switching to fullscreen makes the wrong preview grow
- 428: Movie preview should pause when going into another section
- 429: Player shows weird things on streams
- 431: Support for non-seekable Videos in Thumbnailer (like Flash-Video)
- 433: gtk frontend broken
- 441: playing media files without required gstreamer plugins makes elisa sooo slooow
- 442: Plugin registry changes behaviour if -t is specified
- 448: Player options
- 452: Investigation on poblenou:node_controller
- 453: Media scanner traceback
- 462: non local pictures display support
- 464: cover support in UPnP MS
- 468: Cover retrieval not yet fine on daap:// and ipod://
- 471: While playing a playlist, hit stop => player goes to next track
- 484: no title and arrow for loading-image, please
- 505: elisa breaks at start if ~/.elisa/plugins is missing
- 508: DVD actions
- 510: make label of a location configurable
- 511: Video preview timeout
- 512: Explicit folder actions
- 514: Preview cleanups
- 515: Playing elisa:// URIs with empty media_db
- 517: Adding files on a directory browsed by elisa
- 518: Remove duplicated API docs
- 524: theme switcher: error in observer
- 525: theme switcher icon in tango theme is wrong
- 527: HAL makes problems on plugging in seconds stick
- 532: no volume in pause
- 533: volume stays longer than progress bar on menu appearing
- 536: USB key hotplugged results in seeing /media in Elisa
- 537: replugging stick while elisa runs raises exception
- 539: Menu items thumbnails interverted
- 360: Scrolling is to slow.
- 383: Macedonian translation
- 384: Macedonian translation
- 386: exceptions should be caught in ListObservable if an Observable raises an exception
- 393: media_scanner must parse sources one by one
- 403: local media fails on  wrong encoding in filename
- 407: AudioCD without MusicBrainz2
- 408: gst-metadata breaks on special filenames sometimes
- 409: media_db has problems, when there is no media provider
- 416: Cover lookup doesn't work with daap:// and ipod://
- 423: Nice fade-in/fade-out at startup/shutdown
- 437: Pressing enter on audiocd gives traceback
- 438: lirc should use a temporary file
- 450: start_fullscreen poblenou frontend option
- 459: cache amazon covers in ~/.elisa
- 495: my favorites of stage6
- 513: Drop 10 items limit in playlists
- 493: support non-square pixel aspect ratio
-  84: Asynchronous Flickr?
- 306: Make the mouse pointer disappear after a few seconds
- 355: livecd
- 356: livecd
- 357: livecd
- 389: RTL Language support


Elisa 0.1.7
===========

Barcelona, monday June 25th 2007

The Elisa team is happy to announce the 0.1.7 release of the Elisa
home multimedia system. This will be the last release of the 0.1.x
branch.

We fixed some annoying bugs in this release:

- HAL coldplug (starting Elisa with devices already plugged-in and
  mounted) was broken
- The Elisa player was reporting empty error messages for some media,
  most of the time for unknown reasons. We now do more checks before
  reporting errors to the user.
- New Macedonian translation by Stojance Dimitrovski.


Elisa 0.1.6
===========

Barcelona, tuesday April 24th 2007

The Elisa team is happy to announce the 0.1.6 release of the Elisa
home multimedia system.

We fixed 2 crasher bugs in this release:

- Under Ubuntu Feisty any attempt to close the elisa's DBus session
  would lead to a segfault, preventing the configuration from being written
  back to disk. We don't close the dbus session anymore, it's not even
  recommended in the DBus developer documentation (and now we know why).
- If you were missing multimedia codecs to play a file, in some cases
  GStreamer would fail to parse the resulting error message, leading
  to an assertion error and a segfault of the application

Elisa 0.1.5
===========

Barcelona, monday April 16th 2007

The Elisa team is proud to announce 0.1.5 release of the core of the
Elisa home multimedia system.

We fixed some issues, bugs and added few features since the last
release:

- 2 new config options were added for the player to allow the user to
  customize how much seconds the player can seek
  forward/backward. Options are seek_forward_step and
  seek_backward_step.
- a UPnP MediaRenderer plugin has been added, it allows Elisa to
  display media available on the network via UPnP. This plugin is
  still experimental, hence disabled by default.
- Elisa is now more able to detect missing audio/video codecs and cancel
  media playback if anything is missing.
- New Catalan translation by Josep Torra.


Elisa 0.1.4.2
=============

Barcelona, tuesday March 13th 2007

The Elisa team is proud to announce 0.1.4.2 release of the core of the
Elisa home multimedia system.

We fixed some issues, bugs and added few features since the last release:

- the .desktop file has been fixed and is now valid. Elisa menu will
  appear in xdg compatible menus
- Elisa now detects ogg theora files and is able to play them
- the audio visualization effects are now disabled in the default
  configuration, this doesn't work well and need more work
- Elisa now detects coldplugged devices (ex: usb disks plugged before
  elisa has been started)
- next/previous track buttons have been added, allowing the user to
  skip track currently being played
- a Last.FM_ webradios streaming client has been added, it allows
  Last.FM users to listen music via the Last.FM streaming platform.


Elisa 0.1.4.1
=============

Barcelona, friday February 16th 2007

The Elisa team releases a 0.1.4.1 version of Elisa. It fixes a
critical bug preventing elisa installed system-wide to run. In fact
some icons were not installed correctly.

Please upgrade to 0.1.4.1 and accept our apologies :-)

Elisa 0.1.4
===========

Barcelona, friday February 16th 2007

The Elisa team is proud to announce 0.1.4 release of the core of the
Elisa home multimedia system.

We fixed many issues, bugs and added some features since the last release:

- the media database system has been improved, one step further
  towards big media collections support
- pictures/movies thumbnails are now compatible with Freedesktop
  specifications
- the skin has been slightly improved in many places (new pictos,
  better animations, picture-folders icon compositing)
- Pigment labels now display much better and are now scalable
- The SDL Pigment backend has been replaced by a XWindow/GLX backend
- Pigment now handle screens with non-square aspect ratio resolutions

Elisa 0.1.3
===========

Barcelona, tuesday January 23rd 2007

The Elisa team is proud to announce 0.1.3 release of the core of the
Elisa home multimedia system.

We fixed many issues and bugs since the last release:

- many i18n/locales fixes
- debian packages enhancements
- german, swedish and polish translations
- elisa-client is now able to control most of the player actions
- window / screen resolution picture aspect-ratio fixes, Elisa should
  now display fine on wide screens on/or exotic resolutions

We also added some new features:

- an experimental UPnP MediaServer plugin, relying on the Coherence_
  Python UPnP framework, meant for testers 
- an audioscrobbler plugin which submits stats about played audio media
  to Last.fm_

We started porting Elisa and Pigment to the win32 platform. An alpha
setup.exe including Pigment, Elisa and all its dependencies is shipped
for early brave testers.

.. _Coherence: https://coherence.beebits.net/
.. _Last.fm: http://last.fm

Elisa 0.1.2
===========

Barcelona, thursday December 21th 2006

The Elisa team is proud to announce 0.1.2 release of the core of the
Elisa home multimedia system.

Apart from the list of bugfixes, we added some new features in this
release:

- User notification support using popups
- weather forecast plugin
- internationalization and translations for Spanish, French and Czech
- Player dock ergonomy fixes
- Audio viszualization GStreamer plugins support, Elisa displays nice
  animation when playing audio-only content

Elisa 0.1.1
===========

Barcelona, monday December 11th 2006

The Elisa team is proud to announce 0.1.1 release of the core of the
Elisa home multimedia system.

Apart from the list of bugfixes, we added some new features in this
release:

- Simple subtitle files support, Elisa looks for srt, sub, smi, ssa
  files named like the video file to play
- Player dock, displaying status informations about the playing media
- Trick modes support, you can increase/decrease playback speed, play
  some medias reversed

The 0.1.2 release including new plugins, user-interface improvements
and some nice other features will be available before 2007 :-)

Elisa 0.1.0
===========

Barcelona, wednesday November 08th 2006

The Elisa team is proud to announce 0.1.0 release of the core of the
Elisa home multimedia system.

Since the first release we moved the rendering and widget frameworks
to a separate project nammed Pigment_. The skin has been rewritten
from scratch, its look is not has slick as in the first release, but
we have a better code base and it will improve in the next few
weeks. 

Features added in this release:

- DAAP client allowing to browse and play music shared on the local
  network by iTunes and similar audio jukebox systems
- Flickr_ browsing support
- New "services" menu which will store futur plugins like weather,
  news or the configuration management interface.

.. _Pigment: https://core.fluendo.com/pigment/trac/
.. _Flickr: http://flickr.com

Elisa 0.0.1
===========

Lyon, monday July 10th 2006

The Elisa team is proud to announce 0.0.1 release of the core of the
Elisa home multimedia system.

The 0.0.x series is aimed at developers and early adopters with later
releases targeting the wider user community. This particular release
is mainly a technology preview aimed to show the current features and
user interfaces of Elisa to enable us to get early feedback and input
from the wider community. The APIs are subject to change very soon
though.

Features of this release:

- Pictures, music, movies browsing and playback support
- Basic media operations (picture rotation, video navigation, ...)
- Partial interoperability with UPnP MediaServers
- OpenGL 1.3 rendering support
- Storage hotplug support using HAL and DBus (USB volumes, iPod, ...)
- Web radios support
- Basic DVD playback
- Remote control support using LIRC
- Extensible plugin framework

You can download this first release from our `download area`_.

.. _download area: http://www.fluendo.com/elisa/downloads
